<?php

/**
 * @file
 * The down payment views filter handler.
 *
 * @see uc_downpayment_views_handlers()
 */

class uc_downpayment_handler_filter_downpayment extends views_handler_filter_boolean_operator {
  function query() {
    $this->ensure_my_table();
    $this->real_field = 'data';
    $field = "$this->table_alias.$this->real_field";

    $this->query->add_where($this->options['group'], "%s " . (empty($this->value) ? "NOT " : "") . "LIKE $upper('%%%s%%')", $field, 'downpayment');
  }
}